<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card card-plain">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title mt-0"> Table on Plain Background</h4>
                        <p class="card-category"> Here is a subtitle for this table</p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-hover">
                                <thead class="">
                                    <th>
                                        <a (click)="sortById()">Id</a>
                                    </th>
                                    <th>
                                        <a (click)="sortByGender()">Gender</a>
                                    </th>
                                    <th>
                                        <a (click)="sortByUsername()">Username</a>
                                    </th>
                                    <th>
                                        <a (click)="sortByFirstName()">First Name</a>
                                    </th>
                                    <th>
                                        <a (click)="sortByLastName()">Last Name</a>
                                    </th>
                                    <th>
                                        <a (click)="sortByEmail()">Email</a>
                                    </th>
                                    <th>
                                        <a (click)="sortByStatus()">Status</a>
                                    </th>
                                    <th>
                                        Space
                                    </th>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let user of users">
                                        <td>
                                            {{user.id}}
                                        </td>
                                        <td>
                                            {{user.gender}}
                                        </td>
                                        <td>
                                            {{user.username}}
                                        </td>
                                        <td>
                                            {{user.firstName}}
                                        </td>
                                        <td>
                                            {{user.lastName}}
                                        </td>
                                        <td>
                                            {{user.email}}
                                        </td>
                                        <td>
                                            {{user.status}}
                                        </td>
                                        <td>
                                            {{user.space.name}}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                            <a class="clickable nav-link" (click)="navigateBefore()">
                                                <i class="material-icons">navigate_before</i>
                                                <p>
                                                    <span class="d-lg-none d-md-block">Before</span>
                                                </p>
                                            </a>
                                        </td>
                                        <td>
                                            <a class="clickable nav-link" (click)="navigateNext()">
                                                <i class="material-icons">navigate_next</i>
                                                <p>
                                                    <span class="d-lg-none d-md-block">Next</span>
                                                </p>
                                            </a>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>